Update SKU

View as Markdown
Update selected mutable fields on a SKU. The Site is determined from the saved SKU record. Fields omitted from the request retain their current values. If a user updates the components field, the schema version will be updated to the current version (5). The Org must have an Infrastructure Provider that owns the SKU's Site. The user must have an authorization role with the `PROVIDER_ADMIN` suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
skuIdstringRequired
ID of the SKU

Request

This endpoint expects an object.
descriptionstringOptional
Replacement SKU description
deviceTypestringOptional
Replacement device type identifier
componentsobjectOptional
Hardware components that make up a SKU

Response

OK
idstringOptionalRead-only
Unique identifier for the SKU
siteIdstringOptionalRead-onlyformat: "uuid"
ID of the Site this SKU belongs to
descriptionstringOptionalRead-only

Human-readable SKU description

schemaVersionuintOptionalRead-only
Core SKU schema version when available
deviceTypestring or nullOptionalRead-only

Optional device type identifier (e.g. “gpu”, “cpu”, “storage”)

associatedMachineIdslist of stringsOptionalRead-only
List of machine IDs associated with this SKU
componentsobjectOptional
Hardware components of this SKU
createddatetimeOptionalRead-only
ISO 8601 datetime when the SKU was created
updateddatetimeOptionalRead-only
ISO 8601 datetime when the SKU was last updated

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error